import request from '@/utils/request'

// 查询知识兴趣类型列表
export function listSyKnowledgeInterstType(query) {
  return request({
    url: '/sy/syKnowledgeInterstType/list',
    method: 'get',
    params: query
  })
}

// 查询知识兴趣类型详细
export function getSyKnowledgeInterstType(id) {
  return request({
    url: '/sy/syKnowledgeInterstType/' + id,
    method: 'get'
  })
}

// 新增知识兴趣类型
export function addSyKnowledgeInterstType(data) {
  return request({
    url: '/sy/syKnowledgeInterstType',
    method: 'post',
    data: data
  })
}

// 修改知识兴趣类型
export function updateSyKnowledgeInterstType(data) {
  return request({
    url: '/sy/syKnowledgeInterstType',
    method: 'put',
    data: data
  })
}

// 删除知识兴趣类型
export function delSyKnowledgeInterstType(id) {
  return request({
    url: '/sy/syKnowledgeInterstType/' + id,
    method: 'delete'
  })
}

// 导出知识兴趣类型
export function exportSyKnowledgeInterstType(query) {
  return request({
    url: '/sy/syKnowledgeInterstType/export',
    method: 'get',
    params: query
  })
}